// === NOCLIP METAL ===

textures/props/cable_m01_snow_noclip
{
	qer_editorimage textures/props/cable_m01_snow.tga
	surfaceparm nonsolid
	implicitMap textures/props/cable_m01_snow
}

textures/xlab_wall/xmetal_c03_noclip
{
	qer_editorimage textures/xlab_wall/xmetal_c03.tga
	surfaceparm nonsolid
	implicitMap textures/xlab_wall/xmetal_c03
}

textures/metal_misc/metal_m04dr2_noclip
{
	qer_editorimage textures/metal_misc/metal_m04dr2.tga
	surfaceparm nonsolid
	implicitMap textures/metal_misc/metal_m04dr2
}

textures/metal_misc/ametal_m04a_noclip
{
	qer_editorimage textures/metal_misc/ametal_m04a.tga
	surfaceparm nonsolid
	implicitMap textures/metal_misc/ametal_m04a
}

textures/metal_misc/metal_m03_noclip
{
	qer_editorimage textures/metal_misc/metal_m03.tga
	surfaceparm nonsolid
	implicitMap textures/metal_misc/metal_m03
}

// === GENERATOR ===
textures/etl_props/cable_m01
{
	qer_editorimage textures/props/cable_m01.tga
	q3map_nonplanar
	q3map_shadeAngle 90
	surfaceparm nosteps
	surfaceparm nomarks
	{
		map textures/props/cable_m01.tga
		// blendFunc GL_ONE GL_ZERO
		rgbGen lightingDiffuse
		rgbGen const ( 0.6 0.6 0.6 )
	}
	// {
		// map $whiteimage
		// blendfunc filter
		// rgbGen const ( 0.6 0.6 0.6 )
	// }
}

textures/etl_props/cable_moving
{
	qer_editorimage textures/props/cable_m01.tga
	q3map_nonplanar
	q3map_shadeAngle 90
	surfaceparm nosteps
	surfaceparm nomarks
	{
		map textures/props/cable_m01.tga
		// blendFunc GL_ONE GL_ZERO
		rgbGen lightingDiffuse
		rgbGen const ( 0.6 0.6 0.6 )
		tcmod scroll -2 0
	}
	// {
		// map $whiteimage
		// blendfunc filter
		// rgbGen const ( 0.6 0.6 0.6 )
	// }
}

textures/etl_props/cable_moving_inverted
{
	qer_editorimage textures/props/cable_m01.tga
	q3map_nonplanar
	q3map_shadeAngle 90
	surfaceparm nosteps
	surfaceparm nomarks
	{
		map textures/props/cable_m01.tga
		// blendFunc GL_ONE GL_ZERO
		rgbGen lightingDiffuse
		rgbGen const ( 0.6 0.6 0.6 )
		tcmod scroll 2 0
	}
	// {
		// map $whiteimage
		// blendfunc filter
		// rgbGen const ( 0.6 0.6 0.6 )
	// }
}

// === GENERATOR LIGHTS ===
textures/etl_props/lights_neutral
{
	qer_editorimage textures/lights/light_tp_m05.tga
	q3map_surfacelight 6000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m05.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m2.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/etl_props/lights_red
{
	qer_editorimage textures/lights/light_tp_m07.tga
	q3map_surfacelight 6000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m07.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m2.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/etl_props/lights_green
{
	qer_editorimage textures/lights/light_tp_m06.tga
	q3map_surfacelight 6000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m06.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m2.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/sfx/xflame2_1750_nolick
{
	qer_editorimage textures/sfx/flame1.tga
	q3map_surfacelight 3000
	cull none
	nofog
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
	}
	{
		animMap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6
	}
}

textures/village/villwin_c12m_light
{
	qer_editorimage textures/village/villwin_c12m.tga
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/village/villwin_c12m.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/village/villwin_c12m_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/snow/alpha_ice2
{
	qer_editorimage textures/snow/alpha_ice2s.tga		
	surfaceparm alphashadow
	cull none
	{
		map textures/snow/alpha_ice2s.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}

}